Name:           cockpit-image-builder
Version:        63
Release:        1.20250321122346343618.pr2985.13.g653d4c70%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-64.tar.gz

Obsoletes:      cockpit-composer < 54
Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 131

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Fri Mar 21 2025 Packit <hello@packit.dev> - 63-1.20250321122346343618.pr2985.13.g653d4c70
- playwright: Add `togglePreview` helper function (regexowl)
- build(deps): bump @scalprum/react-core from 0.9.3 to 0.9.4 (dependabot[bot])
- build(deps-dev): bump @currents/playwright from 1.9.4 to 1.11.4 (dependabot[bot])
- Wizard: Add password validation in User step (Michal Gold)
- build(deps-dev): bump @types/node from 22.13.4 to 22.13.10 (dependabot[bot])
- build(deps): bump @sentry/webpack-plugin from 3.2.1 to 3.2.2 (dependabot[bot])
- playwright: only add currents reporter if requisite env is set (Sanne Raymaekers)
- schutzbot: pass along currents variables (Sanne Raymaekers)
- Add currents reporter for Playwright tests (Matej Marusak)
- Wizard: Make Selects responsive (regexowl)
- Wizard: Replace deprecated selects on Azure step (regexowl)
- tests/CI: Change Playwright workflow trigger to pull_request (Tom Koscielniak)
- Post release version bump (schutzbot)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
